> ## Documentation Index
> Fetch the complete documentation index at: https://docs.debridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get list of tokens, transferred with DLN, sorted by popularity



## OpenAPI

````yaml /dln-details/swagger/monitoring.json get /api/TokenMetadata/popularTokens
openapi: 3.0.1
info:
  title: DLN stats API
  description: >-
    # Introduction

    This API is part of [deBridge](https://debridge.com/) protocol
    infrastructure. 


    Protocol documentation is available [here](https://docs.debridge.com/).


    [Terms and
    Condition](https://debridge.com/assets/files/debridge_terms_of_service.pdf)
    | [Privacy
    Policy](https://debridge.com/assets/files/debridge_privacy_policy.pdf)


    # Swagger

    Swagger document can be found [here](/swagger)


    Redoc document can be found [here](/redoc)
  version: v1
servers:
  - url: https://dln-api.debridge.finance
security: []
paths:
  /api/TokenMetadata/popularTokens:
    get:
      tags:
        - TokenMetadata
      summary: Get list of tokens, transferred with DLN, sorted by popularity
      operationId: TokenMetadata_GetPopularTokens
      parameters:
        - name: skip
          in: query
          schema:
            type: integer
            format: int32
        - name: take
          in: query
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/TokensMetadataListResponseDTO'
            application/json:
              schema:
                $ref: '#/components/schemas/TokensMetadataListResponseDTO'
            text/json:
              schema:
                $ref: '#/components/schemas/TokensMetadataListResponseDTO'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/InvalidInputDataResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidInputDataResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/InvalidInputDataResponse'
        '500':
          description: Internal Server Error
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
components:
  schemas:
    TokensMetadataListResponseDTO:
      type: object
      properties:
        tokens:
          type: array
          items:
            $ref: '#/components/schemas/TokenMetadataInfoDTO'
          description: Tokens from requested page
          nullable: true
        totalCount:
          type: integer
          description: Total number of tokens
          format: int32
      additionalProperties: false
      description: Tokens metadata info
    InvalidInputDataResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
          nullable: true
        errorCode:
          type: integer
          description: For this type of error it's always 400
          format: int32
      additionalProperties: false
      description: Information about bad input params
    InternalServerErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
          nullable: true
        errorCode:
          type: integer
          description: For this type of error it's always 500
          format: int32
      additionalProperties: false
      description: Information about an internal server error
    TokenMetadataInfoDTO:
      type: object
      properties:
        chainId:
          $ref: '#/components/schemas/IntPropertyDTO'
        tokenAddress:
          $ref: '#/components/schemas/AddressPropertyDTO'
        popularityIndex:
          type: integer
          description: >-
            Number of orders that this token was used in as SwapIn (if there was
            a preswap), Give token (if there was no preswap) or Take token
          format: int32
      additionalProperties: false
    IntPropertyDTO:
      type: object
      properties:
        bytesValue:
          type: string
          description: Binary representation of the property value
          format: byte
          nullable: true
        bytesArrayValue:
          type: string
          description: Bytes array representation of the value
          nullable: true
          readOnly: true
        bigIntegerValue:
          type: number
          description: Integer representation of the property value
          format: int64
          nullable: true
          readOnly: true
        stringValue:
          type: string
          description: String representation of the property value
          nullable: true
          readOnly: true
      additionalProperties: false
    AddressPropertyDTO:
      type: object
      properties:
        Base64Value:
          type: string
          description: Binary representation of the property value
          format: byte
          nullable: true
        bytesArrayValue:
          type: string
          description: Bytes array representation of the value
          nullable: true
          readOnly: true
        stringValue:
          type: string
          description: String representation of the property value
          nullable: true
          readOnly: true
      additionalProperties: false

````